@mixin light(){
    --main-first: #212126;
    --main-second: #44444A;
    --main-second-reverse: #FCFCFC;
    --main-third: #2D2D32;
    --background-header: white;
    --background-footer: #FCFCFC;
    --lang-color: #3F3F3F;
    --button-color: #232323;
    --notification-color: #FF7823;
    --notifiaction-background: white;
    --footerBottom-color: #424242;
    --profileSideBar-color: #FCFCFC;
    --main: black;
    --main-reverse:white;
    --toggleTheme-circle: white;
    --toggleTheme-place: #EEEEEE;
    --profile-hr: #7E7E7E;
    --input-color:#5B5B5B;
    --input-hr:#D2D2D2;
    --gridBox-back: #FCFCFC;
    --gridBox-circle: #F6F6F6;
    --modal-background: white;
    --choiceAva: #F1F1F1;
    --header-menu-background: #FAFAFA;
    --footerMobile-icon: #2D2D2E;
    --notific-background: #F6F6F6;
    --footerMob-icon-reverse: white;
    --reg-numText:#14171CB5;
    --reg-title: #14171C;
    --input-hrS: #101B41;
    --input-placeholder-color: #8E8E8E;
    --input-color-color: black;
    --profile-changePass: #5E5E5E;
    --vostPass: #424242;
    --anotherAuth: #F9F9F9;
    --anotherAuth-text: #7C7C7C;
    --sliderArrow: #D3D3D399;
    --sliderBackground: #F9F9F9;
    --sliderCircles: #EFEFEF;
    --sliderArrow-fill: #414141;
    --slider-pag: #00000059;
    --slider-pag-select-next: #000000B2;
    --new-title: #3D3D3D;
    --new-desc: #575757;
    --tag-color: #2D2D2D;
    --textPage-color: #575757;
    --market-boxColor: #F8F8F8;
    --marketTop-search: white;
    --sorting-chosed: #2D2D2E;
    --marketBack-mobile: #F8F8F8;
    --marketBox: white;
    --slider-dot: #FF5C00;
    --ranges: white;
    --scrollbar-color: #FCFCFC;
    --card-item: #F8F8F8;
    --likeColor: #FF8473;
    --heartColor: #686868;
    --activeGreenButton: white;
    --oneChatBackground: #F8F8F8;
    --dialog-background: white;
    --chat-hr: #C9C9C9;
    --chat-date: #FCFCFC;
    --chat-input: #323232;
    --chat-menu: white;
    --chat-select: #F8F8F8;
    --mobileChat-hr: #EDEDED;
    --mobileChat-name: #2E2E2E;
    --mobileChat-date: #909090;
    --mobileChat-hr2: #D6D6D6;
    --mobileChat-select-background: #F8F8F8;
    --mobileChat-background: #F8F8F8;
    --mobileChat-message: #393939;
    --mbolieChat-meessage-background: #EEEEEE;
    --mbolieChat-meesagee-background-right: #FFE9DB;
    --mobileChat-message-date: #525252;
    --mobileChat-date-messages: #3A3A3A;
    --mobileChat-hr3: #D6D6D6;
    --mobileChat-input-wrapper: #FCFCFC;
    --mobileChat-input: white;
    --mobileChat-input-border: #E9E9E9;
    --mobileChat-input-text: #575757;
    --mobileChat-input-background: #FFFFFF;
    --market-sell: #373737;
    --market-grey: #ECECEC;
    --market2-hr: #9F9F9F;
    --market2-block: #F8F8F8;
    --market2-menu: #FCFCFC;
    --market2-menu-select: #F2F2F2;
    --market2-menu-text: #585858;
    --market2-top: #FCFCFC;
    --market2-mobFil: #848484;
    --market2-mobBack: transperent;
    --market2-mobBor: #D3D3D3;
    --market2-itemTop: #F8F8F8;
    --lots-box-title: #323232;
    --lots-top-hr: #BEBEBE;
    --marketMobile-item: #FCFCFC;
    --marketMobile-options: #F2F2F2;
    --marketMobile-readAll: #404040;
    --not-hr: #454545;
    --not-select: #D3D3D3;
    --history-pageSelect: #2D2D2E;
    --history-rightLine: #9F9F9F;
    --history-selectText: #5C5C5C;
    --history-bottomHr: #B8B8B8;
    --history-histor: #F8F8F8;
    --historyMob-text: #1C1C1C;
    --historyMob-title: #575757;
    --log-text: #272727;
    --basket-left-background: #F8F8F8;
    --basket-next: #D9D9D9;
    --bakset-notAnav: #FFFFFF99;
    --addLot-back: #FBFBFB;
    --addLot-miniTitle: #8E8E8E;
    --slider-slide: #F3F3F3;
    --modal-item-logo: #DBDBDB;
    --modal-rare: #585858;
    --modal-game: #6B6B6B;
    --modal-desc-scroll: #F5F5F5;
    --modal-price-title: #7D7D7D;
    --modal-price: #404040;
    --modal-sel-num: #F5F5F5;
    --modal-num: #575757;
    --modal-arrow: #BEBEBE;
    --modal-button: #DBDBDB;
    --modal-spor: #F5F5F5;
    --modal-spor-text: #7C7C7C;
    --addLot-sixLines: #F1F1F1;
    --addLot-sixLines-text: #8E8E8E;
    --question-background: #656565;
    --question-text: #E3E3E3;
    --marketTop-filters-background: #F8F8F8;
    --marketTop-filters-background-select: white;
    --marketTop-filters-text: #2d2d2e;
    --marketTop-filter-hr: #D9D9D9;
    --marketTop-filter-search-background: #F8F8F8;
    --filter-button: #3A3A3A;
    --filter-bottom: #EDEDED;
}

@mixin dark(){
    --main-first: #F8F8F8;
    --main-second: #FCFCFC;
    --main-second-reverse: #44444A;
    --main-third: white;
    --background-header: #303035;
    --background-footer: #212126;
    --lang-color: white;
    --button-color: white;
    --notification-color: white;
    --notifiaction-background: #393940;
    --footerBottom-color: #CACACA;
    --profileSideBar-color: #44444A;
    --main: white;
    --main-reverse: black;
    --toggleTheme-circle: #39393F;
    --toggleTheme-place: #212126;
    --profile-hr: #1B1D22;
    --input-color:white;
    --input-hr:#1C1A1A;
    --gridBox-back: #44444A;
    --gridBox-circle: #494950;
    --modal-background: #303035;
    --choiceAva: #393940;
    --header-menu-background: #303035;
    --footerMobile-icon: white;
    --notific-background: #212126;
    --footerMob-icon-reverse: #2D2D2E;
    --reg-numText:#FFFFFFB5;
    --reg-title: white;
    --input-hrS: #5C5C5C;
    --input-placeholder-color: #484848;
    --input-color-color: #E2E2E2;
    --profile-changePass: white; 
    --vostPass: #E4E4E4;
    --anotherAuth: #212126;
    --anotherAuth-text: #EAEAEA;
    --sliderArrow: #212126;
    --sliderBackground: #44444A ;
    --sliderCircles: #414147;
    --sliderArrow-fill: #FFFFFF;
    --slider-pag: #FFFFFF59;
    --slider-pag-select-next: #FFFFFFB2;
    --new-title: white;
    --new-desc: #C8C8C8;
    --tag-color: #212126;
    --textPage-color: #D9D9D9;
    --market-boxColor: #393940;
    --marketTop-search: #404048;
    --sorting-chosed: white;
    --marketBack-mobile: #28282D;
    --marketBox: #404048;
    --slider-dot: #6B6B75;
    --ranges: #4F4F56;
    --scrollbar-color: #44444A;
    --card-item: linear-gradient(180deg, #393940 0%, #4D4D54 100%);
    --likeColor: #FF6854;
    --heartColor: #FFFFFF;
    --activeGreenButton: #404040;
    --oneChatBackground: #393940;
    --dialog-background:#404048;
    --chat-hr: #2B2B31;
    --chat-date: #212126;
    --chat-input: #FBFBFB;
    --chat-menu: #343439;
    --chat-select: #212126;
    --mobileChat-hr: #484848;
    --mobileChat-name: white;
    --mobileChat-date: #F6F6F6;
    --mobileChat-hr2: #4E4E4E;
    --mobileChat-select-background: #3B3A41;
    --mobileChat-background: #323237;
    --mobileChat-message: white;
    --mbolieChat-meessage-background: #414147;
    --mbolieChat-meesagee-background-right: #2B8E53;
    --mobileChat-message-date: white;
    --mobileChat-date-messages: #F3F3F3;
    --mobileChat-hr3: #717171;
    --mobileChat-input-wrapper: #3B3A41;
    --mobileChat-input: #4D4C55;
    --mobileChat-input-border: #77767B;
    --mobileChat-input-text: white;
    --mobileChat-input-background: #4D4C55;
    --market-sell: white;
    --market-grey: #44444D;
    --market2-hr: #D7D7D7;
    --market2-block: #393940;
    --market2-menu: #212126;
    --market2-menu-select: #29292E;
    --market2-menu-text: white;
    --market2-top: #44444D;
    --market2-mobFil: #C1C1C1;
    --market2-mobBack: #393940;
    --market2-mobBor: #393940;
    --market2-itemTop: #44444D;
    --lots-box-title: white;
    --lots-top-hr: #44444A;
    --marketMobile-item: #393940;
    --marketMobile-options: #44444D;
    --marketMobile-readAll: white;
    --not-hr: #44444A;
    --not-select: #212126;
    --history-pageSelect: #F4F4F4;
    --history-rightLine: #44444A;
    --history-selectText: #F8F8F8;
    --history-bottomHr: #44444A;
    --history-histor: #44444A;
    --historyMob-text: white;
    --historyMob-title: #BBBBBB;
    --log-text: white;
    --basket-left-background: #393940;
    --basket-next: #484850;
    --bakset-notAnav: #30303599;
    --addLot-back: #2C2C31;
    --addLot-miniTitle: #FCFCFC;
    --slider-slide: #44444D;
    --modal-item-logo: #393940;
    --modal-rare: #DBDBDB;
    --modal-game: #DBDBDB;
    --modal-desc-scroll: #44444A;
    --modal-price-title: #989898;
    --modal-price: white;
    --modal-sel-num: #3D3D43;
    --modal-num: #F9F9F9;
    --modal-arrow: #898989;
    --modal-button: #212126;
    --modal-spor: #3B3B42;
    --modal-spor-text: #C8C8C8;
    --addLot-sixLines: #303035;
    --addLot-sixLines-text: white;
    --question-background: #393940;
    --question-text: #656565;
    --marketTop-filters-background: #2D2D32;
    --marketTop-filters-background-select: #393940;
    --marketTop-filters-text: #E4E4E4;
    --marketTop-filter-hr: #404040;
    --marketTop-filter-search-background: #575757;
    --filter-button: #E4E4E4;
    --filter-bottom: #26262B;
}

:root{
    @include light();
}

@media (prefers-color-scheme: light) {
    body{
        @include light();
        --main: black;
    }
}

@media (prefers-color-scheme: dark) {
    body.dark{
        @include dark();
        --main: rgb(180, 180, 180);
    }
}

.dark{
    @include dark();
}
